summaryrefslogtreecommitdiffstats
path: root/toolchain/sed/sedcheck.sh
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-06-20 23:49:23 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-06-20 23:49:23 +0000
commit14ace0ca9421f763feed4b72ddb7482aef20663d (patch)
tree17a8770e2bb54bb36526420c617aa3219100d554 /toolchain/sed/sedcheck.sh
parent36551bb1f65bd6f59d241fabd5424a49e27fbbe5 (diff)
add toolchain/download target
git-svn-id: svn://svn.openwrt.org/openwrt/branches/buildroot-ng/openwrt@4029 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'toolchain/sed/sedcheck.sh')
-rwxr-xr-xtoolchain/sed/sedcheck.sh19
1 files changed, 14 insertions, 5 deletions
diff --git a/toolchain/sed/sedcheck.sh b/toolchain/sed/sedcheck.sh
index 4d645b6ab..5af1d886b 100755
--- a/toolchain/sed/sedcheck.sh
+++ b/toolchain/sed/sedcheck.sh
@@ -11,11 +11,20 @@ fi;
echo "HELLO" > .sedtest
$SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
-if [ $? != 0 ] ; then
- echo build-sed-host-binary
-else
- echo use-sed-host-binary
-fi;
+case "$1" in
+ download)
+ if [ $? != 0 ] ; then
+ echo download-sed-binary
+ fi;
+ ;;
+ *)
+ if [ $? != 0 ] ; then
+ echo build-sed-host-binary
+ else
+ echo use-sed-host-binary
+ fi;
+ ;;
+esac
rm -f .sedtest